@import url("https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300;400;500;600;700&display=swap");
*,
::before,
::after {
  box-sizing: border-box;
  font-family: "Space Grotesk", sans-serif;
  color: #09090b;
  font-weight: 300;
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
}

a {
  text-decoration: none;
  color: inherit;
}

li {
  list-style: none;
}

img {
  max-width: 100%;
  height: auto;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  position: relative;
  height: 100vh;
  overflow: hidden;
  background: #030001;
}

.code {
  position: absolute;
  bottom: 30px;
  right: 30px;
  font-size: 13px;
  padding: 0.5rem 1rem;
  border-radius: 40px;
  cursor: pointer;
  font-weight: 600;
  border: 1px solid #fff;
  color: #fff;
  transition: all 0.3s ease;
}
.code:hover {
  background: #fff;
  color: #000;
}

.copyright {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  flex-shrink: 0;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  border: 1px solid #fff;
}
.copyright a {
  width: 170px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  padding: 0.5rem 1rem;
  color: #fff;
  font-weight: 400;
  transition: all 0.3s ease;
}
.copyright a:first-child {
  border-right: 1px solid #fff;
}
.copyright a:hover {
  background: #fff;
  color: #000;
}

.blur {
  filter: blur(100px);
  position: absolute;
  z-index: -1;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.containers {
  position: relative;
  margin: 0 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff;
  border-radius: 52px;
  overflow: hidden;
  width: 620px;
  height: 550px;
}
.containers .container-1 {
  flex-shrink: 0;
  position: absolute;
  inset: 0;
  width: 620px;
  height: 550px;
  padding: 100px 100px;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
  gap: 2rem;
}
.containers .container-1 .luv {
  animation: heart 1s cubic-bezier(0.4, 0, 0.6, 1) infinite;
  animation-play-state: paused;
}
.containers .container-1 h2 {
  font-weight: bold;
  font-size: 2rem;
  width: 330px;
  text-align: center;
}
.containers .container-1 button {
  width: 140px;
  position: absolute;
  bottom: 140px;
}
.containers .container-1 button.yes {
  left: 160px;
}
.containers .container-1 button.no {
  right: 160px;
}
.containers .container-2 {
  flex-shrink: 0;
  position: absolute;
  inset: 0;
  width: 620px;
  height: 550px;
  padding: 50px 80px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 0rem;
  transform: translateX(-100%);
}
.containers .container-2 .kiss {
  width: 150px;
  animation: heart 1s cubic-bezier(0.4, 0, 0.6, 1) infinite;
  animation-play-state: paused;
}
.containers .container-2 h2 {
  font-weight: bold;
  font-size: 2rem;
  text-align: left;
  margin: 2rem 0;
}
.containers .container-3 {
  flex-shrink: 0;
  position: absolute;
  inset: 0;
  width: 620px;
  height: 550px;
  padding: 50px 80px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  transform: translateX(100%);
  gap: 2rem;
}
.containers .container-3 .back {
  position: absolute;
  top: 30px;
  left: 50px;
  background: none;
  border: none;
  cursor: pointer;
  display: none;
}
.containers .container-3 h2 {
  font-weight: bold;
  font-size: 2rem;
  text-align: left;
}
.containers .container-3 .features {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.5rem;
}
.containers .container-3 .features div {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 0.5rem;
}
.containers .container-3 .features div span {
  display: block;
  font-weight: 400;
}
.containers .container-3 .prices {
  width: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 1rem;
}
.containers .container-3 .prices div {
  width: 100%;
  display: flex;
  padding: 20px;
  border-radius: 0.5rem;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 3px;
}
.containers .container-3 .prices div h3 {
  font-weight: bold;
}
.containers .container-3 .prices .month {
  background: #e9dde0;
}
.containers .container-3 .prices .month h3 {
  color: #000000;
}
.containers .container-3 .prices .month span {
  color: #000000;
  opacity: 0.5;
}
.containers .container-3 .prices .year {
  background: #000000;
}
.containers .container-3 .prices .year h3 {
  color: #fff;
}
.containers .container-3 .prices .year span {
  color: #fff;
  opacity: 0.5;
}
.containers .container-3 .yes-div {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 1rem;
}
.containers .container-3 .yes-div p {
  font-weight: 400;
}
.containers .container-3 .yes-div button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.yes,
.yes-link {
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  width: 100%;
  border: none;
  height: 60px;
  padding: 19px 0px;
  border-radius: 16px;
  background: #ff2f6f;
  box-shadow: 0px 14.533px 29.067px 0px rgba(51, 9, 22, 0.2), 0px 6.685px 6.685px 0px #ff347b inset, 0px -6.685px 6.685px 0px #dc2960 inset;
  transition: box-shadow 0.3s ease;
}
.yes span,
.yes-link span {
  color: #fff;
  font-weight: bold;
}
.yes:hover,
.yes-link:hover {
  border-radius: 16px;
  background: linear-gradient(180deg, #a71e4f 0%, #d52766 100%);
  box-shadow: 0px 9.07px 42.13px 0px rgba(198, 0, 71, 0.4), 0px 4.892px 4.892px 0px #dc2869 inset, 0px -4.892px 4.892px 0px #a01d4c inset;
}

.no {
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  width: 100%;
  border: none;
  height: 60px;
  padding: 19px 0px;
  border-radius: 16px;
  background: #3e000c;
  box-shadow: 0px 14.533px 29.067px 0px rgba(12, 0, 2, 0.2), 0px 6.976px 6.976px 0px #45000d inset, 0px -6.976px 6.976px 0px #35000a inset;
}
.no span {
  color: #fff;
  font-weight: bold;
}

@keyframes heart {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}
